# TMCPtr< T > Class Template Reference
[MCCore]

Inheritance diagram for TMCPtr< T >:

List of all members.

## Public Member Functions
| TMCPtr (T *ptr=NULL)
| TMCPtr (const TMCPtr< T > &ptr)
| ~TMCPtr ()
T * | operator= (T *ptr)
boolean | operator== (const T *ptr) const
boolean | operator== (T *ptr) const
T & | operator* () const
T * | operator-> () const
T ** | operator& ()
T *const * | operator& () const
boolean | operator! ()
| operator T * () const
## Protected Attributes
T * | fObject

## Detailed Description

### template<class T>
class TMCPtr< T >

TMCPtr is simply a wrapper around a regular pointer. The constructor initializes the pointer to NULL (so you'll never forget it). Several operators are overridden so that the wrapper becomes transparent while still providing asserts that verify as much as possible if the pointer is valid.

## Constructor & Destructor Documentation

template<class T>

TMCPtr< T >::TMCPtr | ( | T * | ptr = `NULL` | ) | `[inline, explicit]`

template<class T>

TMCPtr< T >::TMCPtr | ( | const TMCPtr< T > & | ptr | ) | `[inline]`

template<class T>

TMCPtr< T >::~TMCPtr | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>

TMCPtr< T >::operator T * | ( |  | ) | const`[inline]`

template<class T>

boolean TMCPtr< T >::operator! | ( |  | ) | `[inline]`

template<class T>

T* const* TMCPtr< T >::operator& | ( |  | ) | const`[inline]`

template<class T>

T** TMCPtr< T >::operator& | ( |  | ) | `[inline]`

template<class T>

T& TMCPtr< T >::operator* | ( |  | ) | const`[inline]`

template<class T>

T* TMCPtr< T >::operator-> | ( |  | ) | const`[inline]`

template<class T>

T* TMCPtr< T >::operator= | ( | T * | ptr | ) | `[inline]`

Reimplemented in TMCSmartPtr< T >, TMCSmartPtr< TInstanceRenderingCache >, and TMCSmartPtr< TMCOffscreen >.

template<class T>

boolean TMCPtr< T >::operator== | ( | T * | ptr | ) | const`[inline]`

template<class T>

boolean TMCPtr< T >::operator== | ( | const T * | ptr | ) | const`[inline]`

## Member Data Documentation

template<class T>

T* TMCPtr< T >::fObject`[protected]`

The documentation for this class was generated from the following file:

- MCPtr.h